Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Quota Manager
  • Getting started
  • Concepts
  • Request examples
  • Quota reference
    • All guides
    • Viewing the list of services and quotas
    • Viewing quota value
    • Changing quotas
  • Access management
  • Pricing policy
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Cancel
        • ListOperations
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Resource
  • QuotaLimit
  1. API reference
  2. REST
  3. QuotaRequest
  4. Get

Quota Manager API, REST: QuotaRequest.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Resource
  • QuotaLimit

Returns the specified quota request.

HTTP requestHTTP request

GET https://quota-manager.api.cloud.yandex.net/quota-manager/v1/quotaRequests/{quotaRequestId}

Path parametersPath parameters

Field

Description

quotaRequestId

string

Required field. ID of the quota request to return.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "resource": {
    "id": "string",
    "type": "string"
  },
  "createdAt": "string",
  "status": "string",
  "quotaLimits": [
    {
      "quotaId": "string",
      "desiredLimit": "string",
      "approvedLimit": "string",
      "unit": "string",
      "status": "string",
      "message": "string",
      "modifiedBy": "string"
    }
  ],
  "createdBy": "string"
}

Field

Description

id

string

ID of the quota request.

resource

Resource

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

status

enum (Status)

Status of current quota request.

  • PENDING: The request is pending and is waiting to be processed.
  • PROCESSING: The request is processing.
  • PROCESSED: The request was processed.
  • CANCELED: The request was canceled.
  • DELETING: The request is deleting.

quotaLimits[]

QuotaLimit

Quota limits

createdBy

string

ID of the subject who created quota request.

ResourceResource

Field

Description

id

string

Required field. The id if the resource.

The maximum string length in characters is 50.

type

string

Required field. The type of the resource, e.g. resource-manager.cloud, billing.account.

The maximum string length in characters is 100.

QuotaLimitQuotaLimit

Field

Description

quotaId

string

ID of the quota.

desiredLimit

string

Desired limit.

approvedLimit

string

Approved limit.

unit

string

Unit of quota.

status

enum (Status)

Status of current quota limit.

  • PENDING: The request is pending and is waiting to be processed.
  • PROCESSING: The request is processing.
  • PARTIAL_APPROVED: The request was partially approved.
  • APPROVED: The request was approved.
  • REJECTED: The request was rejected.
  • CANCELED: The request was canceled.

message

string

modifiedBy

string

ID of the subject who modified quota limit.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.